Name: dmapd
Version: 0.0.14
Release: 1%{?dist}
License: GPLv2+
Source: http://www.flyn.org/projects/%name/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.flyn.org/projects/dmapd/
Summary: A server that provides DAAP and DPAP shares
Group: Applications/Multimedia
Requires(pre): /usr/sbin/useradd, /usr/sbin/groupadd
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(postun): /usr/sbin/userdel, /usr/sbin/groupdel
BuildRequires: fedora-usermgmt-devel, avahi-devel, libexif-devel, libsoup-devel, libdmapsharing-devel

%description 
The dmapd project provides a GObject-based, Open Source implementation 
of DMAP sharing with the following features:

 o Support for both DAAP and DPAP

 o Support for realtime transcoding of media formats not natively 
 supported by clients

 o Support for many metadata formats, such as those associated with Ogg 
 Vorbis and MP3 (e.g., ID3)

 o Detection of video streams so that clients may play them as video

 o Use of GStreamer to support a wide range of audio and video CODECs

 o Caching of photograph thumbnails to avoid regenerating them each time 
 the server restarts



%files 
%defattr(-, root, root, -)
%{_libdir}/pkgconfig/dmapd.pc
%{_libdir}/*.so*
%dir %{_libdir}/dmapd
%{_includedir}/*
%{_sbindir}/dmapd
%{_sysconfdir}/rc.d/init.d/dmapd
%config %{_sysconfdir}/sysconfig/dmapd
%attr(0700,dmapd,root) %{_localstatedir}/cache/dmapd
%attr(0700,dmapd,root) %{_localstatedir}/run/dmapd
%{_mandir}/*/*

%pre
%__fe_groupadd %uid -r %username &>/dev/null || :
%__fe_useradd  %uid -r -s /sbin/nologin -d %homedir -M -c '%gecos' -g %username %username &>/dev/null || :


%post
/sbin/chkconfig --add dmapd


%preun
if [ $1 = 0 ]; then /sbin/service dmapd stop >/dev/null 2>&1; /sbin/chkconfig --del dmapd; fi


%postun
if [ "$1" -ge "1" ]; then /sbin/service dmapd condrestart >/dev/null 2>&1 || :; fi
%__fe_userdel  %username &>/dev/null || :
%__fe_groupdel %username &>/dev/null || :

%doc	AUTHORS COPYING ChangeLog INSTALL NEWS README FAQ 


%prep


%setup -q


%build
 %configure  --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -f %{buildroot}%{_libdir}/libdmapd.la
mkdir -p %{buildroot}%{_localstatedir}/cache/dmapd
mkdir -p %{buildroot}%{_localstatedir}/run/dmapd
install -D distro/dmapd.fedora %{buildroot}%{_sysconfdir}/rc.d/init.d/dmapd
install -D distro/dmapd %{buildroot}%{_sysconfdir}/sysconfig/dmapd


%clean
rm -rf %{buildroot}




%changelog
* Thu Jul 23 2009 W. Michael Petullo <mike[@]flyn.org> - 0.0.14-1
- New upstream version.

- Fix URL.

* Thu May 07 2009 W. Michael Petullo <mike[@]flyn.org> - 0.0.10-1
- New upstream version.

- Use %%{buildroot} exclusively.

- Add requirements for pre, post, preun and postun.

- Remove disttags from changelog.

- Remove extra defattr.

* Sun Jan 11 2009 W. Michael Petullo <mike[@]flyn.org> - 0.0.8-1
- Initial package for Fedora.




