/*
 * DAAPRecord factory class
 *
 * Copyright (C) 2008 W. Michael Petullo <mike@flyn.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "dmapd-daap-record-factory.h"
#include "dmapd-daap-record.h"

DMAPRecord *
dmapd_daap_record_factory_create  (DMAPRecordFactory *factory,
				   const char *path)
{
	gboolean has_video;
	DAAPRecord *record;

	record = DAAP_RECORD (dmapd_daap_record_new (path));

	g_object_get (record, "has-video", &has_video, NULL);

	return (DMAP_RECORD (record));
}

static void
dmapd_daap_record_factory_init (DmapdDAAPRecordFactory *factory)
{
}

static void
dmapd_daap_record_factory_class_init (DmapdDAAPRecordFactoryClass *klass)
{
}

static void
dmapd_daap_record_factory_interface_init (gpointer iface, gpointer data)
{
	DMAPRecordFactoryInterface *factory = iface;

	g_assert (G_TYPE_FROM_INTERFACE (factory) == TYPE_DMAP_RECORD_FACTORY);

	factory->create = dmapd_daap_record_factory_create;
}

G_DEFINE_TYPE_WITH_CODE (DmapdDAAPRecordFactory, dmapd_daap_record_factory, G_TYPE_OBJECT, 
			 G_IMPLEMENT_INTERFACE (TYPE_DMAP_RECORD_FACTORY,
					        dmapd_daap_record_factory_interface_init))

DmapdDAAPRecordFactory *
dmapd_daap_record_factory_new (void)
{
	DmapdDAAPRecordFactory *factory;

	factory = DMAPD_DAAP_RECORD_FACTORY (g_object_new (TYPE_DMAPD_DAAP_RECORD_FACTORY, NULL));

	return factory;
}
